[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinter.DoSetCopies

Performs actions needed to set the number of copies for each printed page.

## Declaration

Source position: printers.pas line 281

`protected procedure TPrinter.DoSetCopies(`
`aValue: Integer`
`); virtual;`

## Arguments

`aValue` |  | Number of copies to use for the print device.

## Description

DoSetCopies is a virtual procedure used to perform actions needed to set the number of copies for each page printed on the device. DoSetCopies is called when a new value is assigned to the Copies property.

Remark: | In TPrinter, DoSetCopies has an empty implementation. It must be overridden in a descendent class to perform actions needed for the operating system / widgetset / printer-related technology used to implement the printer capability.

## See also

TPrinter.Copies |  | Number of Copies of the current document.